package request

// Service is a struct used to store this use case in
type Service struct {
}

// NewService creates a new instantion of this use case
func NewService() *Service {
	return &Service{}
}

// Document with Empty struct to retrieve all data from the DB Document
type Document map[string]interface{}

// GeneralFormat with Empty struct to retrieve all data from the DB Document
type GeneralFormat map[string][]Document

// ListContainer is a struct that keeps track of the nodes and edges that need to be returned
type ListContainer struct {
	nodeList []Document
	edgeList []Document
}

type arangoResult struct {
	vertices []Document
	edges    []Document
}
